Rem Options
SET JAVA_OPTS=-Dgroup=snap -Drepl=true -Dconfig_file=./dermi-config.xml

:java
Rem JAVA setup
Rem
Rem We try to use first the java JVM in JAVA_HOME and if not found, 
Rem we use the one found in the classpath.
Rem You can specify additional options to give to the Java JVM in the
Rem JAVA_OPTS environment variable.
SET JAVA=java
if not exist "%JAVA_HOME%\bin\java" goto classpath
SET JAVA="%JAVA_HOME%\bin\java"

:classpath
Rem CLASSPATH definition
SET CLASSPATH=%CLASSPATH%;..\..\hsqldbWAN.jar;..\..\dermi.jar;..\..\commons-logging.jar;..\..\p2pcm.jar;..\..\pastry.jar;..\..\jug.jar;..\..\bunshin.jar

SET DATA=.\data\%2

IF NOT EXIST %DATA% mkdir %DATA%
Rem copy /Y %HSQL_HOME%\data\test.* %DATA% > %HSQL_HOME%\data\copy.log

cd %DATA%

Rem Start hsqldb
%JAVA% %JAVA_OPTS% -classpath %CLASSPATH% org.hsqldb.Server %1 %2 %3 %4 %5 %6
:end
cd ..\..